Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::PointInputData Struct Reference

Contains data needed at each point by a DenFunctional. More...

`#include <functional.h>`

Collaboration diagram for sc::PointInputData:

[legend]
List of all members.

## Public Types
enum | { X = 0, Y = 1, Z = 2 }
enum | { XX = 0, YX = 1, YY = 2, ZX = 3, ZY = 4, ZZ = 5 }
## Public Methods
void | compute_derived (int spin_polarized, int need_gradient)
| PointInputData (const SCVector3 &r_)
## Public Attributes
SpinData | a
SpinData | b
double | gamma_ab
const SCVector3 & | r

## Detailed Description

Contains data needed at each point by a DenFunctional.

The documentation for this struct was generated from the following file:

- functional.h